import { ToolContext } from '../types';
/**
 * Available model providers
 */
export type ModelProvider = 'anthropic' | 'openai' | 'ollama';
export type AgentConfig = {
    maxIterations: number;
    getSystemPrompt: (toolContext: ToolContext) => string;
};
/**
 * Default configuration for the tool agent
 */
export declare const DEFAULT_CONFIG: AgentConfig;
/**
 * Gets the default system prompt with contextual information about the environment
 */
export declare function getDefaultSystemPrompt(toolContext: ToolContext): string;
//# sourceMappingURL=config.d.ts.map