import { z } from 'zod';
import { Tool } from '../../core/types.js';
export declare const userMessages: string[];
declare const parameterSchema: z.ZodObject<{
    message: z.ZodString;
    description: z.ZodString;
}, "strip", z.ZodTypeAny, {
    message: string;
    description: string;
}, {
    message: string;
    description: string;
}>;
declare const returnSchema: z.ZodObject<{
    received: z.ZodBoolean;
    messageCount: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    received: boolean;
    messageCount: number;
}, {
    received: boolean;
    messageCount: number;
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const userMessageTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=userMessage.d.ts.map