import { BrowserConfig, Session } from './types.js';
export declare class SessionManager {
    private sessions;
    private readonly defaultConfig;
    private detectedBrowsers;
    private browserDetectionPromise;
    constructor();
    /**
     * Detect available browsers on the system
     */
    private detectBrowsers;
    createSession(config?: BrowserConfig): Promise<Session>;
    /**
     * Launch a browser with a specific executable path
     */
    private launchWithExecutablePath;
    closeSession(sessionId: string): Promise<void>;
    private setupCleanup;
    /**
     * Sets up global cleanup handlers for all browser sessions
     */
    private setupGlobalCleanup;
    closeAllSessions(): Promise<void>;
    getSession(sessionId: string): Session;
}
//# sourceMappingURL=SessionManager.d.ts.map